Bug 816143 - CLI - invoking shutdown operation right after start operation on JBoss EAP 5.1.2 sometimes failed
CLI - invoking shutdown operation right after start operation on JBoss EAP 5....
Status: NEW
Product: RHQ Project
Classification: Other
Component: CLI (Show other bugs)
4.4
Unspecified Unspecified
medium Severity unspecified (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-25 06:45 EDT by Filip Brychta
Modified: 2012-04-30 12:02 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
operationMngrExamples.js,output.txt,exception.txt (20.00 KB, application/x-tar)
2012-04-25 06:46 EDT, Filip Brychta
no flags Details

  None (edit)
Description Filip Brychta 2012-04-25 06:45:06 EDT
Description of problem:
When invoking shutdown operation right after (no delay between operations) start operation via CLI on JBoss EAP 5.1.2, shutdown operation sometimes fails with attached exception. 

Version-Release number of selected component (if applicable):
Version: 4.4.0-SNAPSHOT
Build Number: ca5eecb

How reproducible:
50%

Steps to Reproduce:
1. import JBoss EAP 5.1.2 to your repository
2. stop JBoss EAP 5.1.2
3. run repeatedly ./rhq-cli.sh -u rhqadmin -p rhqadmin -f operationMngrExamples.js until described problem occurs (see attached output.txt)
  
Actual results:
see attached output.txt

Expected results:
operations are invoked without errors

Additional info:
exception.txt, operationMngrExamples.js, output.txt attached
Inserting delay between operations solves this problem. (uncomment sleep in operationMngrExamples.js)
Comment 1 Filip Brychta 2012-04-25 06:46:37 EDT
Created attachment 580132 [details]
operationMngrExamples.js,output.txt,exception.txt
Comment 2 Mike Foley 2012-04-30 12:02:07 EDT
triaged 4/30/2012 by loleary, ccrouch, mfoley

Note You need to log in before you can comment on or make changes to this bug.